/**************************************************************************
**
** This file is part of QRemoteControl-Server.
**
** QRemoteControl-Server is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** QRemoteControl-Server is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with PhyxCalc.  If not, see <http://www.gnu.org/licenses/>.
**
***************************************************************************/
#include "qglobalfakekey_p.h"

/*QGlobalFakeKey::QGlobalFakeKey(QObject *parent) :
    QObject(parent)
{
}*/

Qt::KeyboardModifier const QGlobalFakeKey::AllModifiers[] =
{Qt::ShiftModifier, Qt::ControlModifier, Qt::AltModifier, Qt::MetaModifier, Qt::KeypadModifier};

void QGlobalFakeKey::wait(const int ms)
{
    QTime time;
    time.start();
    while (time.elapsed() < ms)
        ;
}

Qt::Key QGlobalFakeKey::modifierToKey(Qt::KeyboardModifier mod)
{
    switch (mod) {
        case Qt::ShiftModifier:
            return Qt::Key_Shift;
        case Qt::ControlModifier:
            return Qt::Key_Control;
        case Qt::AltModifier:
            return Qt::Key_Alt;
        case Qt::MetaModifier:
            return Qt::Key_Meta;
        case Qt::KeypadModifier:
            return Qt::Key_NumLock;
        default:
            break;
    }
    return Qt::Key(0);
}
