/**************************************************************************
**
** This file is part of QRemoteControl-Server.
**
** QRemoteControl-Server is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** QRemoteControl-Server is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with PhyxCalc.  If not, see <http://www.gnu.org/licenses/>.
**
***************************************************************************/
#ifndef _QGLOBALFAKEKEY_P_H
#define _QGLOBALFAKEKEY_P_H

#include <QObject>
#include <QKeySequence>
#include <QTime>
//#include "qglobalfakekey_p.h"
#ifdef QT_DEBUG
#include <QDebug>
#endif

class QGlobalFakeKeyPrivate;

class QGlobalFakeKey : public QObject
{
    Q_OBJECT
public:
    explicit QGlobalFakeKey(QObject *parent = 0);
    virtual ~QGlobalFakeKey();

    void sendKey(Qt::Key key, bool down);
    void sendKeyModifiers(Qt::KeyboardModifiers modifiers, bool down);
    void sendButton(Qt::MouseButton button, bool down);
    void sendScroll(int direction, int delta, double acceleration);

private:
    QGlobalFakeKeyPrivate* d;
    friend class QGlobalFakeKeyPrivate;

    static Qt::Key modifierToKey(Qt::KeyboardModifier mod);
    static Qt::KeyboardModifier const AllModifiers[5];

    static void wait(int const ms);
};

#endif // _QGLOBALFAKEKEY_P_H
